package cn.superdesk.uniorder.dao.entity.accounting.score.supplier;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class AccountingScoreSupplierXGoodsExample {
    /**
     *
     * table accounting_score_supplier_x_goods
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    protected String orderByClause;

    /**
     *
     * table accounting_score_supplier_x_goods
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    protected boolean distinct;

    /**
     *
     * table accounting_score_supplier_x_goods
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    protected List<Criteria> oredCriteria;

    /**
     *
     * table accounting_score_supplier_x_goods
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    public AccountingScoreSupplierXGoodsExample() {
        oredCriteria = new ArrayList<>();
    }

    /**
     *
     * table accounting_score_supplier_x_goods
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    /**
     *
     * table accounting_score_supplier_x_goods
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    public String getOrderByClause() {
        return orderByClause;
    }

    /**
     *
     * table accounting_score_supplier_x_goods
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    /**
     *
     * table accounting_score_supplier_x_goods
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    public boolean isDistinct() {
        return distinct;
    }

    /**
     *
     * table accounting_score_supplier_x_goods
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    /**
     *
     * table accounting_score_supplier_x_goods
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    /**
     *
     * table accounting_score_supplier_x_goods
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    /**
     *
     * table accounting_score_supplier_x_goods
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    /**
     *
     * table accounting_score_supplier_x_goods
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    /**
     *
     * table accounting_score_supplier_x_goods
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     *
     * table accounting_score_supplier_x_goods
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnSupplierIsNull() {
            addCriterion("accounting_order_sn_supplier is null");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnSupplierIsNotNull() {
            addCriterion("accounting_order_sn_supplier is not null");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnSupplierEqualTo(String value) {
            addCriterion("accounting_order_sn_supplier =", value, "accountingOrderSnSupplier");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnSupplierNotEqualTo(String value) {
            addCriterion("accounting_order_sn_supplier <>", value, "accountingOrderSnSupplier");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnSupplierGreaterThan(String value) {
            addCriterion("accounting_order_sn_supplier >", value, "accountingOrderSnSupplier");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnSupplierGreaterThanOrEqualTo(String value) {
            addCriterion("accounting_order_sn_supplier >=", value, "accountingOrderSnSupplier");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnSupplierLessThan(String value) {
            addCriterion("accounting_order_sn_supplier <", value, "accountingOrderSnSupplier");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnSupplierLessThanOrEqualTo(String value) {
            addCriterion("accounting_order_sn_supplier <=", value, "accountingOrderSnSupplier");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnSupplierLike(String value) {
            addCriterion("accounting_order_sn_supplier like", value, "accountingOrderSnSupplier");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnSupplierNotLike(String value) {
            addCriterion("accounting_order_sn_supplier not like", value, "accountingOrderSnSupplier");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnSupplierIn(List<String> values) {
            addCriterion("accounting_order_sn_supplier in", values, "accountingOrderSnSupplier");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnSupplierNotIn(List<String> values) {
            addCriterion("accounting_order_sn_supplier not in", values, "accountingOrderSnSupplier");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnSupplierBetween(String value1, String value2) {
            addCriterion("accounting_order_sn_supplier between", value1, value2, "accountingOrderSnSupplier");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnSupplierNotBetween(String value1, String value2) {
            addCriterion("accounting_order_sn_supplier not between", value1, value2, "accountingOrderSnSupplier");
            return (Criteria) this;
        }

        public Criteria andScoreOrderIdIsNull() {
            addCriterion("score_order_id is null");
            return (Criteria) this;
        }

        public Criteria andScoreOrderIdIsNotNull() {
            addCriterion("score_order_id is not null");
            return (Criteria) this;
        }

        public Criteria andScoreOrderIdEqualTo(Long value) {
            addCriterion("score_order_id =", value, "scoreOrderId");
            return (Criteria) this;
        }

        public Criteria andScoreOrderIdNotEqualTo(Long value) {
            addCriterion("score_order_id <>", value, "scoreOrderId");
            return (Criteria) this;
        }

        public Criteria andScoreOrderIdGreaterThan(Long value) {
            addCriterion("score_order_id >", value, "scoreOrderId");
            return (Criteria) this;
        }

        public Criteria andScoreOrderIdGreaterThanOrEqualTo(Long value) {
            addCriterion("score_order_id >=", value, "scoreOrderId");
            return (Criteria) this;
        }

        public Criteria andScoreOrderIdLessThan(Long value) {
            addCriterion("score_order_id <", value, "scoreOrderId");
            return (Criteria) this;
        }

        public Criteria andScoreOrderIdLessThanOrEqualTo(Long value) {
            addCriterion("score_order_id <=", value, "scoreOrderId");
            return (Criteria) this;
        }

        public Criteria andScoreOrderIdIn(List<Long> values) {
            addCriterion("score_order_id in", values, "scoreOrderId");
            return (Criteria) this;
        }

        public Criteria andScoreOrderIdNotIn(List<Long> values) {
            addCriterion("score_order_id not in", values, "scoreOrderId");
            return (Criteria) this;
        }

        public Criteria andScoreOrderIdBetween(Long value1, Long value2) {
            addCriterion("score_order_id between", value1, value2, "scoreOrderId");
            return (Criteria) this;
        }

        public Criteria andScoreOrderIdNotBetween(Long value1, Long value2) {
            addCriterion("score_order_id not between", value1, value2, "scoreOrderId");
            return (Criteria) this;
        }

        public Criteria andScoreOrderGoodsIdIsNull() {
            addCriterion("score_order_goods_id is null");
            return (Criteria) this;
        }

        public Criteria andScoreOrderGoodsIdIsNotNull() {
            addCriterion("score_order_goods_id is not null");
            return (Criteria) this;
        }

        public Criteria andScoreOrderGoodsIdEqualTo(Long value) {
            addCriterion("score_order_goods_id =", value, "scoreOrderGoodsId");
            return (Criteria) this;
        }

        public Criteria andScoreOrderGoodsIdNotEqualTo(Long value) {
            addCriterion("score_order_goods_id <>", value, "scoreOrderGoodsId");
            return (Criteria) this;
        }

        public Criteria andScoreOrderGoodsIdGreaterThan(Long value) {
            addCriterion("score_order_goods_id >", value, "scoreOrderGoodsId");
            return (Criteria) this;
        }

        public Criteria andScoreOrderGoodsIdGreaterThanOrEqualTo(Long value) {
            addCriterion("score_order_goods_id >=", value, "scoreOrderGoodsId");
            return (Criteria) this;
        }

        public Criteria andScoreOrderGoodsIdLessThan(Long value) {
            addCriterion("score_order_goods_id <", value, "scoreOrderGoodsId");
            return (Criteria) this;
        }

        public Criteria andScoreOrderGoodsIdLessThanOrEqualTo(Long value) {
            addCriterion("score_order_goods_id <=", value, "scoreOrderGoodsId");
            return (Criteria) this;
        }

        public Criteria andScoreOrderGoodsIdIn(List<Long> values) {
            addCriterion("score_order_goods_id in", values, "scoreOrderGoodsId");
            return (Criteria) this;
        }

        public Criteria andScoreOrderGoodsIdNotIn(List<Long> values) {
            addCriterion("score_order_goods_id not in", values, "scoreOrderGoodsId");
            return (Criteria) this;
        }

        public Criteria andScoreOrderGoodsIdBetween(Long value1, Long value2) {
            addCriterion("score_order_goods_id between", value1, value2, "scoreOrderGoodsId");
            return (Criteria) this;
        }

        public Criteria andScoreOrderGoodsIdNotBetween(Long value1, Long value2) {
            addCriterion("score_order_goods_id not between", value1, value2, "scoreOrderGoodsId");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNull() {
            addCriterion("create_user_id is null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNotNull() {
            addCriterion("create_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdEqualTo(Long value) {
            addCriterion("create_user_id =", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotEqualTo(Long value) {
            addCriterion("create_user_id <>", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThan(Long value) {
            addCriterion("create_user_id >", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("create_user_id >=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThan(Long value) {
            addCriterion("create_user_id <", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThanOrEqualTo(Long value) {
            addCriterion("create_user_id <=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIn(List<Long> values) {
            addCriterion("create_user_id in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotIn(List<Long> values) {
            addCriterion("create_user_id not in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdBetween(Long value1, Long value2) {
            addCriterion("create_user_id between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotBetween(Long value1, Long value2) {
            addCriterion("create_user_id not between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIsNull() {
            addCriterion("update_user_id is null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIsNotNull() {
            addCriterion("update_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdEqualTo(Long value) {
            addCriterion("update_user_id =", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotEqualTo(Long value) {
            addCriterion("update_user_id <>", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdGreaterThan(Long value) {
            addCriterion("update_user_id >", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("update_user_id >=", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLessThan(Long value) {
            addCriterion("update_user_id <", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLessThanOrEqualTo(Long value) {
            addCriterion("update_user_id <=", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIn(List<Long> values) {
            addCriterion("update_user_id in", values, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotIn(List<Long> values) {
            addCriterion("update_user_id not in", values, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdBetween(Long value1, Long value2) {
            addCriterion("update_user_id between", value1, value2, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotBetween(Long value1, Long value2) {
            addCriterion("update_user_id not between", value1, value2, "updateUserId");
            return (Criteria) this;
        }
    }

    /**
     *
     * table accounting_score_supplier_x_goods
     *
     * do_not_delete_during_merge Fri Jun 19 16:41:59 CST 2020
     */
    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    /**
     *
     * table accounting_score_supplier_x_goods
     *
     * Fri Jun 19 16:41:59 CST 2020
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}